summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2009-06-10 00:17:40 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2009-06-10 00:17:40 +0000
commitcf14a87de4f3409b89e88c5eea249e895d598f4d (patch)
tree2ff87a2265360802737440f80d687337a35942ef /bin
parente975e4d085e9a02411880ab7f206c3f4373794ca (diff)
downloadptxdist-cf14a87de4f3409b89e88c5eea249e895d598f4d.tar.gz
ptxdist-cf14a87de4f3409b89e88c5eea249e895d598f4d.tar.xz
[ptxdist] simplify first stage parser error handling
Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de> git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@10685 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 1a7c7cde1..e2fffff5c 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -1239,19 +1239,19 @@ parse_first()
PTX_SLEDGEHAMMER=true
;;
--ptxconfig=*)
- PTXDIST_PTXCONFIG="$(ptxd_abspath "${arg#*=}")" || exit 1
+ PTXDIST_PTXCONFIG="$(ptxd_abspath "${arg#*=}")" &&
PTX_ptxconfig_SET=true
;;
--platformconfig=*)
- PTXDIST_PLATFORMCONFIG="$(ptxd_abspath "${arg#*=}")" || exit 1
+ PTXDIST_PLATFORMCONFIG="$(ptxd_abspath "${arg#*=}")" &&
PTX_platformconfig_SET=true
;;
--collectionconfig=*)
- PTXDIST_COLLECTIONCONFIG="$(ptxd_abspath "${arg#*=}")" || exit 1
+ PTXDIST_COLLECTIONCONFIG="$(ptxd_abspath "${arg#*=}")" &&
PTX_collectionconfig_SET=true
;;
--toolchain=*)
- PTXDIST_TOOLCHAIN="$(ptxd_abspath "${arg#*=}")" || exit 1
+ PTXDIST_TOOLCHAIN="$(ptxd_abspath "${arg#*=}")" &&
PTX_toolchain_SET=true
;;
--j-intern=*)
@@ -1272,7 +1272,7 @@ parse_first()
*)
PTXDIST_ARGS_SECOND[${#PTXDIST_ARGS_SECOND[@]}]="${arg}"
;;
- esac
+ esac || return
done
}